com.mysql.cj.exceptions

## Class DataTruncationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.mysql.cj.exceptions.CJException
        - - com.mysql.cj.exceptions.DataTruncationException

All Implemented Interfaces:
  Serializable

    public class DataTruncationException
    extends CJException

See Also:
  Serialized Form

### Field Summary

Fields
`private int` `dataSize`
`private int` `index`
`private boolean` `parameter`
`private boolean` `read`
`private static long` `serialVersionUID`
`private int` `transferSize`

### Fields inherited from class com.mysql.cj.exceptions.CJException

`exceptionMessage`

### Constructor Summary

Constructors
`` `DataTruncationException()`
`` `DataTruncationException(String message)`
`` `DataTruncationException(String message, int index, boolean parameter, boolean read, int dataSize, int transferSize, int vendorErrorCode)`
`` `DataTruncationException(String message, Throwable cause)`
`protected` `DataTruncationException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
`` `DataTruncationException(Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getDataSize()`
`int` `getIndex()`
`int` `getTransferSize()`
`boolean` `isParameter()`
`boolean` `isRead()`
`void` `setDataSize(int dataSize)`
`void` `setIndex(int index)`
`void` `setParameter(boolean parameter)`
`void` `setRead(boolean read)`
`void` `setTransferSize(int transferSize)`

### Methods inherited from class com.mysql.cj.exceptions.CJException

`appendMessage, getMessage, getSQLState, getVendorCode, isTransient, setSQLState, setTransient, setVendorCode`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### index

    private int index

#### parameter

    private boolean parameter

#### read

    private boolean read

#### dataSize

    private int dataSize

#### transferSize

    private int transferSize

### Constructor Detail

#### DataTruncationException

    public DataTruncationException()

#### DataTruncationException

    public DataTruncationException(String message)

#### DataTruncationException

    public DataTruncationException(String message,
                                   Throwable cause)

#### DataTruncationException

    public DataTruncationException(Throwable cause)

#### DataTruncationException

    protected DataTruncationException(String message,
                                      Throwable cause,
                                      boolean enableSuppression,
                                      boolean writableStackTrace)

#### DataTruncationException

    public DataTruncationException(String message,
                                   int index,
                                   boolean parameter,
                                   boolean read,
                                   int dataSize,
                                   int transferSize,
                                   int vendorErrorCode)

### Method Detail

#### getIndex

    public int getIndex()

#### setIndex

    public void setIndex(int index)

#### isParameter

    public boolean isParameter()

#### setParameter

    public void setParameter(boolean parameter)

#### isRead

    public boolean isRead()

#### setRead

    public void setRead(boolean read)

#### getDataSize

    public int getDataSize()

#### setDataSize

    public void setDataSize(int dataSize)

#### getTransferSize

    public int getTransferSize()

#### setTransferSize

    public void setTransferSize(int transferSize)

Copyright © 2016, 2024, Oracle and/or its affiliates.